import faker from 'faker';
import organizations from './organizations.js';
import chooseRandom from './utils/choose-random.util.js';

faker.locale = 'sv';

const ORGANIZATIONS = organizations.generate();
const AUTHORIZATIONS = ['Hantera användare', 'Hantera origisation', 'Hantera ekonomi'];

function generateCurrentUser() {
  return {
    ciamUserId: faker.datatype.uuid(),
    firstName: faker.name.firstName(),
    lastName: faker.name.lastName(),
    email: faker.internet.email(),
    roles: ['MSFA_AuthAdmin', 'MSFA_ReceiveDeltagare', 'MSFA_ReportAndPlanning', 'MSFA_Standard'],
    ssn: '7010215791',
    status: 'Enabled',
    tjanster: [{ tjansteKod: 'A012', namn: 'Rusta och matcha' }],
    allaUtforandeVerksamheter: true,
    utforandeVerksamheter: [],
  };
}

export default {
  generate: generateCurrentUser,
};
